package ru.dbotthepony.kstarbound.defs.item.impl

import ru.dbotthepony.kstarbound.defs.item.api.ICurrencyItemDefinition
import ru.dbotthepony.kstarbound.io.json.builder.JsonBuilder

@JsonBuilder
class CurrencyItemPrototype : ItemPrototype(), ICurrencyItemDefinition {
	override var currency: String by NotNull()
	override var value: Long by NotNull()

	init {
		maxStack = 16777216L
	}
}
